Subject: Re: bug#10185: 24.0.50; rgrep breaks when called programmatically

From: Juri Linkov <[email-masked]>
Date: Fri, 02 Dec 2011 12:59:16 +0200

> Evaluating (rgrep "hello") results in "/bin/bash: hello: command not found"
>
> The docstring for rgrep claims that its first argument is intended to be
> a regexp, but clearly it's attempting to execute it via bash.

`rgrep' assumes that when the `FILES' argument is empty then a grep command
is specified in the `REGEXP' argument.  This should be documented.